Bug 157455 - CAN-2005-1519 DNS lookups unreliable on untrusted networks
CAN-2005-1519 DNS lookups unreliable on untrusted networks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
impact=low,public=20050511,source=ven...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-11 14:39 EDT by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-489
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-13 08:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-11 14:39:19 EDT
Malicious users may spoof DNS lookups if the DNS client UDP port (random,
assigned by OS at startup) is unfiltered and your network is not protected from
IP spoofing.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-dns_query
Comment 1 Josh Bressers 2005-05-11 14:40:48 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 2 Josh Bressers 2005-06-13 08:08:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-489.html

Note You need to log in before you can comment on or make changes to this bug.